unit Unit1;

{$mode ObjFPC}{$H+}

interface

uses
			Classes, SysUtils, Forms, Controls, Graphics, Dialogs,StdCtrls;

type

			{ TForm1 }

   TForm1 = class(TForm)
						Memo1:TMemo;
						procedure FormShow(Sender:TObject);
			private

			public

			end;

var
			Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormShow(Sender:TObject);
var
	FileData: TStringList;
begin

    //Create the Stringlist so we can use it
    FileData:= TStringList.Create;
    //Load the Data from the file that was chosen with the file dialog
    FileData.LoadFromFile("B03_2024.PRT);
    //Copy loaded data to the Memo
    Memo1.Lines.Assign(FileData);
    //Enable the control
    Memo1.Enabled:= true;
    //Destroy the string list so that it doesn't further use memory space
    FileData.Free;

end;

end.

